Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 787230 - net-p2p/cpuminer-opt-3.16.2 fails to compile with gcc-11
Summary: net-p2p/cpuminer-opt-3.16.2 fails to compile with gcc-11
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Craig Andrews
URL: https://github.com/JayDDee/cpuminer-o...
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-04-30 20:22 UTC by Agostino Sarubbo
Modified: 2021-05-06 19:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,25.31 KB, text/plain)
2021-04-30 20:22 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-04-30 20:22:44 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-p2p/cpuminer-opt-3.16.2 fails to compile with gcc-11.
Discovered on: amd64 (internal ref: ci)

NOTE:
This machine uses GCC-11: https://gcc.gnu.org/gcc-11/porting_to.html
Comment 1 Agostino Sarubbo gentoo-dev 2021-04-30 20:22:46 UTC
Created attachment 704736 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-04-30 20:22:48 UTC
Possible context of error(s):

algo/blake/sph-blake2s.c:326:9: error: size of array element is not a multiple of its alignment
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2021-05-03 09:23:29 UTC
Please fix your ci as you were asked many times before by different people. It gives false positives, I have nothing to do wit that outcome/bug.

Thanks.
Comment 4 Craig Andrews gentoo-dev 2021-05-05 20:09:01 UTC
Reported upstream at https://github.com/JayDDee/cpuminer-opt/issues/313
Comment 5 Larry the Git Cow gentoo-dev 2021-05-06 19:25:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7363030d7a48616a6cfcc64bb0443ffd8991a8c2

commit 7363030d7a48616a6cfcc64bb0443ffd8991a8c2
Author:     Craig Andrews <candrews@gentoo.org>
AuthorDate: 2021-05-06 19:05:53 +0000
Commit:     Craig Andrews <candrews@gentoo.org>
CommitDate: 2021-05-06 19:25:48 +0000

    net-p2p/cpuminer-opt: 3.16.3 version bump
    
    Closes: https://bugs.gentoo.org/787230
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Craig Andrews <candrews@gentoo.org>

 net-p2p/cpuminer-opt/Manifest                   |  1 +
 net-p2p/cpuminer-opt/cpuminer-opt-3.16.3.ebuild | 49 +++++++++++++++++++++++++
 2 files changed, 50 insertions(+)